// @flow
module.exports = {
  collectCoverageFrom: ['src/**'],
  coveragePathIgnorePatterns: [
    '<rootDir>/src/index.js',
  ],
  setupFiles: [
    require.resolve('babel-polyfill'),
    require.resolve('raf/polyfill'),
  ],
  setupTestFrameworkScriptFile: './jest.setup.js',
  testPathIgnorePatterns: [
    '<rootDir>/build/',
    '<rootDir>/node_modules/',
    '<rootDir>/ios/',
    '<rootDir>/android/',
    '<rootDir>/.vscode/',
    '<rootDir>/src/.*/__e2e__/.*',
  ],
};
